Bug 2999 - passdb/pdb_ldap.c: "int *" is incompatible with "size_t *"
passdb/pdb_ldap.c: "int *" is incompatible with "size_t *"
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.20
SGI IRIX
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-13 05:14 UTC by Jason Mader
Modified: 2006-06-28 17:27 UTC (History)
0 users

See Also:


Attachments
changes pwd_len to type "size_t" (386 bytes, patch)
2005-08-13 05:20 UTC, Jason Mader
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-08-13 05:14:17 UTC
cc-1164 cc: WARNING File = passdb/pdb_ldap.c, Line = 707
  Argument of type "int *" is incompatible with parameter of type "size_t *".

                        if (pdb_nds_get_password(ldap_state->smbldap_state, user_dn, &pwd_len, clear_text_pw) 
== LDAP_SUCCESS) {
                                                                                     ^
Comment 1 Jason Mader 2005-08-13 05:20:25 UTC
Created attachment 1375 [details]
changes pwd_len to type "size_t"
Comment 2 Jason Mader 2006-06-27 09:53:53 UTC
My build no longer compiles this file, someone should check to see if the compiler error is gone from 3.0.23rc3
Comment 3 Jason Mader 2006-06-28 17:27:08 UTC
I believe that this has been fixed, since pwd_len is now "size_t".